# Created by pyp2rpm-3.3.2
%global pypi_name pytest-randomly

Name:           python-%{pypi_name}
Version:        3.12.0
Release:        %mkrel 2
Summary:        Pytest plugin to randomly order tests and control random
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pytest-randomly
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Pytest plugin to randomly order tests and control random.seed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Pytest plugin to randomly order tests and control random.seed.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_randomly

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst






%changelog
* Fri Dec 08 2023 wally <wally> 3.12.0-2.mga10
+ Revision: 2015704
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 3.12.0-1.mga9
+ Revision: 1885146
- New version  3.12.0

* Wed Mar 23 2022 umeabot <umeabot> 3.11.0-2.mga9
+ Revision: 1822900
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 3.11.0-1.mga9
+ Revision: 1775883
- version 3.11.0
- rebuild for python-3.10
- fix files list

* Mon Apr 19 2021 daviddavid <daviddavid> 3.5.0-2.mga9
+ Revision: 1717070
- rebuild for python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1695340
- new version 3.5.0

* Mon Sep 14 2020 guillomovitch <guillomovitch> 3.4.1-1.mga8
+ Revision: 1626460
- new version 3.4.1

* Tue May 19 2020 wally <wally> 3.3.1-1.mga8
+ Revision: 1586204
- new version 3.3.1

* Sat Feb 29 2020 wally <wally> 3.2.1-1.mga8
+ Revision: 1552096
- new version 3.2.1
- drop check

* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-4.mga8
+ Revision: 1535240
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.0.0-3.mga8
+ Revision: 1451619
- rebuild with python 3.8

* Fri Aug 09 2019 wally <wally> 3.0.0-2.mga8
+ Revision: 1428369
- drop python2 support

* Sat Apr 20 2019 wally <wally> 3.0.0-1.mga7
+ Revision: 1394019
- imported package python-pytest-randomly

